Name:		devede
Version:	4.17.0
Release:	%mkrel 4
Summary:	Graphical frontend to create video DVDs/(S)VCDs
License:	GPLv3+

Group:		Graphical desktop/Other
URL:		https://www.rastersoft.com/programas/devede.html
Source0:	https://gitlab.com/rastersoft/devedeng/-/archive/%{version}/%{name}ng-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	pkgconfig(python3)
BuildRequires:	imagemagick

Requires:	dvdauthor
Requires:	mencoder
Requires:	mkisofs
Requires:	mplayer
Requires:	ffmpeg
Requires:	vcdimager
# for python3-pkg-resources mga#31152
Requires:	python3dist(setuptools)

Provides:	%{name}ng = %{version}

%if "%{?distro_section}" == "tainted"
Requires:	faad2
%endif

%description
DeVeDe is a program to create video DVDs (compatible with home players) from
nearly any video format. It only uses Python, MPlayer, Mencoder, DVDAuthor,
VCDImager, and mkisofs, so it has very few dependencies.
%if "%{?distro_section}" == "tainted"
This package is in the "tainted" section as it requires other "tainted" packages.
%endif

%prep
%setup -qn %{name}ng-%{version}

%build
%py3_build

%install
%py3_install

for i in {16,22,32,64}
do
	mkdir -p %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps
	convert -resize $i data/devedeng.svg %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/%{name}ng.png
done

%find_lang %{name}ng

%files -f %{name}ng.lang
%doc %{_datadir}/doc/%{name}ng
%{_bindir}/*
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/metainfo/%{name}ng.appdata.xml
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/%{name}ng_icon.svg
%{_datadir}/%{name}ng/
%{_datadir}/pixmaps/%{name}ng.svg
%{python3_sitelib}/%{name}ng/
%{python3_sitelib}/%{name}ng-%{version}-py*.egg-info
%{_mandir}/man1/%{name}.1.*


%changelog
* Mon Dec 18 2023 papoteur <papoteur> 4.17.0-4.mga10
+ Revision: 2018980
- Mass Rebuild - Python 3.12

* Mon Nov 21 2022 daviddavid <daviddavid> 4.17.0-3.mga9.tainted
+ Revision: 1909708
- add missing dependency on python3-pkg-resources (fix mga#31152)

* Thu Mar 31 2022 umeabot <umeabot> 4.17.0-2.mga9.tainted
+ Revision: 1837408
- Mageia 9 Mass Rebuild

* Fri Mar 04 2022 kekepower <kekepower> 4.17.0-1.mga9
+ Revision: 1788339
- Update to version 4.17.0

* Tue Feb 22 2022 tv <tv> 4.16.0-3.mga9
+ Revision: 1782745
- Rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 4.16.0-2.mga9.tainted
+ Revision: 1707778
- rebuild for python 3.9

* Tue Jul 14 2020 daviddavid <daviddavid> 4.16.0-1.mga8
+ Revision: 1606111
- new version: 4.16.0

* Sun Feb 16 2020 umeabot <umeabot> 4.15.0-3.mga8.tainted
+ Revision: 1533278
- Mageia 8 Mass Rebuild

* Fri Sep 20 2019 daviddavid <daviddavid> 4.15.0-2.mga8
+ Revision: 1444050
- rebuild for python3.8

* Sun Jul 21 2019 kekepower <kekepower> 4.15.0-1.mga8.tainted
+ Revision: 1423377
- Update to version 4.15.0

* Tue Feb 05 2019 kekepower <kekepower> 4.14.0-1.mga7
+ Revision: 1363436
- Update to version 4.14.0

* Sat Feb 02 2019 kekepower <kekepower> 4.13.0-1.mga7.tainted
+ Revision: 1362650
- Update to version 4.13.0

* Fri Jan 11 2019 daviddavid <daviddavid> 4.12.0-3.mga7
+ Revision: 1354692
- rebuild for new Python 3.7

* Thu Oct 04 2018 umeabot <umeabot> 4.12.0-2.mga7
+ Revision: 1317764
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild
+ vaci0 <vaci0>
- Update to version 4.12.0
- Update to version 4.12.0

* Wed May 02 2018 kekepower <kekepower> 4.11.0-1.mga7
+ Revision: 1224675
- Update to version 4.11.0

* Tue May 01 2018 kekepower <kekepower> 4.10.0-1.mga7.tainted
+ Revision: 1224368
- Update to version 4.10.0

* Mon Apr 09 2018 kekepower <kekepower> 4.9.0-1.mga7
+ Revision: 1216412
- Update to version 4.9.0

* Sun Mar 25 2018 daviddavid <daviddavid> 4.8.12-1.mga7
+ Revision: 1212323
- new version: 4.8.12

* Mon Jan 08 2018 daviddavid <daviddavid> 4.8.11-1.mga7
+ Revision: 1191470
- new version: 4.8.11

* Sat Aug 05 2017 pterjan <pterjan> 4.8.8-2.mga7.tainted
+ Revision: 1135201
- Rebuild for python 3.6

* Fri Feb 17 2017 daviddavid <daviddavid> 4.8.8-1.mga6
+ Revision: 1086625
- new version: 4.8.8

* Sun Sep 25 2016 daviddavid <daviddavid> 4.8.2-1.mga6
+ Revision: 1055969
- new version: 4.8.2

* Thu Apr 28 2016 daviddavid <daviddavid> 4.7.0-1.mga6.tainted
+ Revision: 1007398
- new version: 4.7.0

* Sun Jan 17 2016 daviddavid <daviddavid> 4.4.0-1.mga6.tainted
+ Revision: 925150
- new version: 4.4.0
- use new python macros

* Mon Nov 09 2015 fwang <fwang> 4.3.2-1.mga6.tainted
+ Revision: 899708
- 4.3.2

* Wed Oct 28 2015 fwang <fwang> 4.3-1.mga6.tainted
+ Revision: 896039
- convert icons on the fly
- fix file list
- 4.3

* Wed Oct 15 2014 umeabot <umeabot> 3.23.0-5.mga5.tainted
+ Revision: 739965
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.23.0-4.mga5.tainted
+ Revision: 726095
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.23.0-3.mga5
+ Revision: 678720
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 3.23.0-2.mga5
+ Revision: 628158
- Rebuild for new Python

* Mon Mar 10 2014 vaci0 <vaci0> 3.23.0-1.mga5.tainted
+ Revision: 601845
- New version 3.23.0

* Mon Mar 10 2014 wally <wally> 3.22.0-6.mga5.tainted
+ Revision: 601810
- create tainted build for faad2 require

* Sun Mar 09 2014 vaci0 <vaci0> 3.22.0-5.mga5
+ Revision: 601496
- Add Requiere faad2

* Tue Oct 22 2013 umeabot <umeabot> 3.22.0-4.mga4
+ Revision: 542546
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 3.22.0-3.mga4
+ Revision: 497725
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jan 11 2013 umeabot <umeabot> 3.22.0-2.mga3
+ Revision: 348732
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 21 2012 fwang <fwang> 3.22.0-1.mga3
+ Revision: 296499
- new version 3.22.0

* Sat Dec 31 2011 fwang <fwang> 3.21.0-1.mga2
+ Revision: 189210
- new version 3.21.0
- new version 3.17.0

* Mon Mar 28 2011 ennael <ennael> 3.16.9-1.mga1
+ Revision: 78589
- clean spec file
- imported package devede


* Sun Aug 22 2010 Tomas Kindl <supp@mandriva.org> 3.16.9-1mdv2011.0
+ Revision: 572052
- update to 3.16.9 (fixing #59261)
- major SPEC refactoring
- put files in their proper place, remove shebangs

* Thu Feb 25 2010 Frederik Himpe <fhimpe@mandriva.org> 3.16.4-1mdv2010.1
+ Revision: 511323
- update to new version 3.16.4

* Mon Feb 22 2010 Frederik Himpe <fhimpe@mandriva.org> 3.16.2-1mdv2010.1
+ Revision: 509656
- Update to new version 3.16.2

* Mon Feb 08 2010 Frederik Himpe <fhimpe@mandriva.org> 3.16.0-1mdv2010.1
+ Revision: 502373
- Update to new version 3.16.0

* Wed Dec 16 2009 Jérôme Brenier <incubusss@mandriva.org> 3.15.2-1mdv2010.1
+ Revision: 479615
- new version 3.15.2
- fix files list

* Mon Jul 20 2009 Frederik Himpe <fhimpe@mandriva.org> 3.14.0-1mdv2010.0
+ Revision: 398065
- update to new version 3.14.0

* Mon May 25 2009 Frederik Himpe <fhimpe@mandriva.org> 3.13.1-1mdv2010.0
+ Revision: 379658
- update to new version 3.13.1

* Fri May 15 2009 Frederik Himpe <fhimpe@mandriva.org> 3.13.0-1mdv2010.0
+ Revision: 376225
- Update to new version 3.13
- Uses gtkbuilder instead of libglade

* Thu Aug 28 2008 Frederik Himpe <fhimpe@mandriva.org> 3.11b-1mdv2009.0
+ Revision: 276947
- Update to new version 3.11b

* Tue Aug 26 2008 Frederik Himpe <fhimpe@mandriva.org> 3.11-1mdv2009.0
+ Revision: 276281
- update to new version 3.11

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 3.6-3mdv2009.0
+ Revision: 244029
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Mar 07 2008 Erwan Velu <erwan@mandriva.org> 3.6-1mdv2008.1
+ Revision: 181415
- 3.6

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 14 2007 Andreas Hasenack <andreas@mandriva.com> 3.1b-2mdv2008.1
+ Revision: 108651
+ rebuild (emptylog)

* Wed Nov 14 2007 Andreas Hasenack <andreas@mandriva.com> 3.1b-1mdv2008.1
+ Revision: 108646
- added missing pygtk2.0-libglade dependency (#35532)

  + Adam Williamson <awilliamson@mandriva.org>
    - rejig icon stuff now upstream provides an svg not a png
    - requires python-cairo
    - new release 3.1b

* Mon Jul 02 2007 Adam Williamson <awilliamson@mandriva.org> 3.01-2mdv2008.0
+ Revision: 47225
- package is noarch
- install python scripts to /usr/lib even on x86-64 (fixes #31692)

* Mon Jul 02 2007 Adam Williamson <awilliamson@mandriva.org> 3.01-1mdv2008.0
+ Revision: 47189
- new release 3.01

* Sat Jun 30 2007 Adam Williamson <awilliamson@mandriva.org> 3.0-2mdv2008.0
+ Revision: 46019
- drop X-Mandriva menu category (patch1); fd.o icons

* Sat Jun 23 2007 Austin Acton <austin@mandriva.org> 3.0-1mdv2008.0
+ Revision: 43535
- new version

* Mon May 28 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 2.13-2mdv2008.0
+ Revision: 32051
- require python-psyco only in ix86

* Fri Apr 27 2007 Andreas Hasenack <andreas@mandriva.com> 2.13-1mdv2008.0
+ Revision: 18766
- Import devede

